org.eclipse.wst.jsdt.core

## Interface IIncludePathAttribute

    public interface IIncludePathAttribute

A includepath attribute defines a name/value pair that can be persisted with a includepath entry. Such an attribute can be created using the factory method `newClasspathAttribute(String name, String value)`.

This interface is not intended to be implemented by clients.

See Also:
  `JavaScriptCore#newContainerEntry( org.eclipse.core.runtime.IPath containerPath, IAccessRule[] accessRules, IIncludePathAttribute[] extraAttributes, boolean isExported)`, `JavaScriptCore#newLibraryEntry( org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath sourceAttachmentPath, org.eclipse.core.runtime.IPath sourceAttachmentRootPath, IAccessRule[] accessRules, IIncludePathAttribute[] extraAttributes, boolean isExported)`, `JavaScriptCore#newProjectEntry( org.eclipse.core.runtime.IPath path, IAccessRule[] accessRules, boolean combineAccessRestrictions, IIncludePathAttribute[] extraAttributes, boolean isExported)`, `JavaScriptCore#newSourceEntry( org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath[] inclusionPatterns, org.eclipse.core.runtime.IPath[] exclusionPatterns, org.eclipse.core.runtime.IPath specificOutputLocation, IIncludePathAttribute[] extraAttributes)`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

Fields
`static org.eclipse.wst.jsdt.internal.core.ClasspathAttribute` `HIDE`
`static java.lang.String` `JSDOC_LOCATION_ATTRIBUTE_NAME` Constant for the name of the jsdoc location attribute.
`static java.lang.String` `OPTIONAL` Constant for the name of the optional attribute.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Returns the name of this includepath attribute.
`java.lang.String` `getValue()` Returns the value of this includepath attribute.

### Field Detail

#### JSDOC_LOCATION_ATTRIBUTE_NAME

    static final java.lang.String JSDOC_LOCATION_ATTRIBUTE_NAME

Constant for the name of the jsdoc location attribute.

See Also:
  Constant Field Values

#### OPTIONAL

    static final java.lang.String OPTIONAL

Constant for the name of the optional attribute. The possible values for this attribute are `"true"` or `"false"`. When not present, `"false"` is assumed. If the value of this attribute is `"true"`, the includepath entry is optional. If the underlying resource or jar file doesn't exist, no error is reported and the includepath entry is ignored.

See Also:
  Constant Field Values

#### HIDE

    static final org.eclipse.wst.jsdt.internal.core.ClasspathAttribute HIDE

### Method Detail

#### getName

    java.lang.String getName()

Returns the name of this includepath attribute.

Returns:
  the name of this includepath attribute.

#### getValue

    java.lang.String getValue()

Returns the value of this includepath attribute.

Returns:
  the value of this includepath attribute.